import React__default from 'react';
import { I as Icon } from './index-e8f12659.js';
import { u as useTranslations } from './index-8cd8aef7.js';

var styles = {"loading":"tliWyii"};

const Loading = ({ className, theme, hideText }) => {
    const { t } = useTranslations();
    return (React__default.createElement("div", { className: `${styles.loading} ${className}` },
        React__default.createElement(Icon.Spinner, { isMarryBaby: theme === 'marryBaby' }),
        !hideText && t('loading')));
};

export { Loading as L };
